summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRoland Suchan2020-03-08 14:44:12 +0100
committerRoland Suchan2020-03-08 14:44:12 +0100
commit6f918cb372b5e1e72bb2fe87c3518346b8e9fa3c (patch)
tree8e1d1d966563b5e6812dc7bc010016a069fb9cc1
parentfa5c5641d6777913c7d8b3d754e69acaf638d32c (diff)
downloadaur-6f918cb372b5e1e72bb2fe87c3518346b8e9fa3c.tar.gz
version 2.1
-rw-r--r--.SRCINFO29
-rw-r--r--PKGBUILD62
2 files changed, 43 insertions, 48 deletions
diff --git a/.SRCINFO b/.SRCINFO
index c5c00762911..8b36d4a81ab 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,30 +1,25 @@
# Generated by mksrcinfo v8
-# Mon Jun 20 21:41:16 UTC 2016
+# Sun Mar 8 14:38:00 UTC 2020
pkgbase = ffdiaporama
pkgdesc = Movie creator from photos and video clips
- pkgver = 2.2.D759
- pkgrel = 3
+ pkgver = 2.1
+ pkgrel = 1
url = http://ffdiaporama.tuxfamily.org
arch = i686
arch = x86_64
license = GPL2
- depends = qt5-svg
+ depends = ffmpeg21
+ depends = sdl
+ depends = sdl_mixer
+ depends = qt5-base
depends = qt5-tools
+ depends = qt5-svg
+ depends = sqlite
depends = qt5-imageformats
- depends = qt5-multimedia
- depends = ffmpeg
- depends = pulseaudio
depends = exiv2
- depends = shared-mime-info
- optdepends = ffdiaporama-texturemate: Additional background-images
- optdepends = ffdiaporama-openclipart: use the openclipart-library
- provides = ffdiaporama-rsc
- source = http://download.tuxfamily.org/ffdiaporama/Packages/Devel/ffdiaporama_bin_2.2.devel.2014.0701.tar.gz
- source = http://download.tuxfamily.org/ffdiaporama/Packages/Devel/ffdiaporama_rsc_2.2.devel.2014.0503.tar.gz
- source = ffmpeg3.0.patch
- md5sums = 0ca946d8db68467aefec39917e2dbb4d
- md5sums = 37bfd8ba62dac8dcbde679aee29a7aad
- md5sums = 945d2bc188a41d81542b18f44eeeb6bd
+ depends = taglib
+ source = http://download.tuxfamily.org/ffdiaporama/Packages/Stable/ffdiaporama_bin_2.1.2014.0209.tar.gz
+ md5sums = f9f46277153cf49f6947973778516adb
pkgname = ffdiaporama
diff --git a/PKGBUILD b/PKGBUILD
index 333275eb388..580fb22d050 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,43 +1,43 @@
-# Maintainer: Steffen Weber <boenki-gmx-de>
+# Maintainer: Roland Suchan <snrd at arcor dot de>
pkgname=ffdiaporama
-pkgver=2.2.D759
-pkgrel=3
-pkgdesc="Movie creator from photos and video clips"
-arch=('i686' 'x86_64')
-url="http://ffdiaporama.tuxfamily.org"
-license=('GPL2')
-depends=('qt5-svg' 'qt5-tools' 'qt5-imageformats' 'qt5-multimedia' 'ffmpeg' 'pulseaudio' 'exiv2' 'shared-mime-info')
-optdepends=('ffdiaporama-texturemate: Additional background-images'
- 'ffdiaporama-openclipart: use the openclipart-library')
-provides=('ffdiaporama-rsc')
-source=(http://download.tuxfamily.org/ffdiaporama/Packages/Devel/ffdiaporama_bin_2.2.devel.2014.0701.tar.gz
- http://download.tuxfamily.org/ffdiaporama/Packages/Devel/ffdiaporama_rsc_2.2.devel.2014.0503.tar.gz
- ffmpeg3.0.patch)
-md5sums=('0ca946d8db68467aefec39917e2dbb4d'
- '37bfd8ba62dac8dcbde679aee29a7aad'
- '945d2bc188a41d81542b18f44eeeb6bd')
+pkgver=2.1
+pkgrel=1
+pkgdesc='ffDiaporama'
+arch=(x86_64)
+url=http://ffdiaporama.tuxfamily.org
+license=(GPL2)
+depends=(
+ ffmpeg21
+ sdl
+ sdl_mixer
+ qt5-base
+ qt5-tools
+ qt5-svg
+ sqlite
+ qt5-imageformats
+ exiv2
+ taglib
+)
+provides=(
-prepare() {
- cd ffDiaporama
- patch -p1 -i ../ffmpeg3.0.patch
-}
+)
+makedepends=(
+ gcc
+)
+source=('http://download.tuxfamily.org/ffdiaporama/Packages/Stable/ffdiaporama_bin_2.1.2014.0209.tar.gz')
+md5sums=('f9f46277153cf49f6947973778516adb')
build() {
cd ffDiaporama
- qmake-qt5 QMAKE_CFLAGS_ISYSTEM= ffDiaporama.pro
- make
-
- cd ../ffDiaporama_rsc
- qmake-qt5 ffDiaporama_rsc.pro
- make
+ sed -i 's@GTK;GNOME;Qt;KDE;AudioVideo;@AudioVideo;Player;X-Red-Hat-Base;@g' ffDiaporama.desktop
+ qmake-qt5 'QMAKE_CFLAGS_ISYSTEM=-I' ffDiaporama.pro /PREFIX=/usr
+
+ make "-j$(nproc)" || return 1
}
package() {
cd ffDiaporama
- make install INSTALL_ROOT=$pkgdir
- find $pkgdir/usr/share -type f -exec chmod 644 {} +
- cd ../ffDiaporama_rsc
- make install INSTALL_ROOT=$pkgdir
+ make INSTALL_ROOT="$pkgdir" install
}